Bug 964575 - [abrt] xscreensaver-extras-5.21-5.fc19: pacman_is_bonus_dot: Process /usr/libexec/xscreensaver/pacman was killed by signal 11 (SIGSEGV)
[abrt] xscreensaver-extras-5.21-5.fc19: pacman_is_bonus_dot: Process /usr/lib...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xscreensaver (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
abrt_hash:e587c9d9b93ef9b7df8ec103f7b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-18 21:14 EDT by Robert Lightfoot
Modified: 2013-05-29 23:09 EDT (History)
1 user (show)

See Also:
Fixed In Version: xscreensaver-5.21-6.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-25 23:41:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (11.73 KB, text/plain)
2013-05-18 21:14 EDT, Robert Lightfoot
no flags Details
File: cgroup (140 bytes, text/plain)
2013-05-18 21:15 EDT, Robert Lightfoot
no flags Details
File: core_backtrace (540 bytes, text/plain)
2013-05-18 21:15 EDT, Robert Lightfoot
no flags Details
File: dso_list (2.72 KB, text/plain)
2013-05-18 21:15 EDT, Robert Lightfoot
no flags Details
File: environ (935 bytes, text/plain)
2013-05-18 21:15 EDT, Robert Lightfoot
no flags Details
File: limits (1.29 KB, text/plain)
2013-05-18 21:15 EDT, Robert Lightfoot
no flags Details
File: maps (13.73 KB, text/plain)
2013-05-18 21:15 EDT, Robert Lightfoot
no flags Details
File: open_fds (172 bytes, text/plain)
2013-05-18 21:15 EDT, Robert Lightfoot
no flags Details
File: proc_pid_status (921 bytes, text/plain)
2013-05-18 21:15 EDT, Robert Lightfoot
no flags Details
File: var_log_messages (319 bytes, text/plain)
2013-05-18 21:15 EDT, Robert Lightfoot
no flags Details

  None (edit)
Description Robert Lightfoot 2013-05-18 21:14:56 EDT
Description of problem:
Fresh Install after several hours of scnsaver running.

Version-Release number of selected component:
xscreensaver-extras-5.21-5.fc19

Additional info:
reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        pacman -root
crash_function: pacman_is_bonus_dot
executable:     /usr/libexec/xscreensaver/pacman
kernel:         3.9.2-301.fc19.x86_64
runlevel:       N 5
uid:            1000
xsession_errors: 

Truncated backtrace:
Thread no. 1 (4 frames)
 #0 pacman_is_bonus_dot at ../../hacks/pacman_level.c:544
 #1 pacman_tick at ../../hacks/pacman.c:1108
 #2 xlockmore_draw at ../../hacks/xlockmore.c:497
 #3 run_screenhack_table at ../../hacks/screenhack.c:553
Comment 1 Robert Lightfoot 2013-05-18 21:14:58 EDT
Created attachment 749909 [details]
File: backtrace
Comment 2 Robert Lightfoot 2013-05-18 21:15:00 EDT
Created attachment 749910 [details]
File: cgroup
Comment 3 Robert Lightfoot 2013-05-18 21:15:02 EDT
Created attachment 749911 [details]
File: core_backtrace
Comment 4 Robert Lightfoot 2013-05-18 21:15:05 EDT
Created attachment 749912 [details]
File: dso_list
Comment 5 Robert Lightfoot 2013-05-18 21:15:08 EDT
Created attachment 749913 [details]
File: environ
Comment 6 Robert Lightfoot 2013-05-18 21:15:10 EDT
Created attachment 749914 [details]
File: limits
Comment 7 Robert Lightfoot 2013-05-18 21:15:14 EDT
Created attachment 749915 [details]
File: maps
Comment 8 Robert Lightfoot 2013-05-18 21:15:17 EDT
Created attachment 749916 [details]
File: open_fds
Comment 9 Robert Lightfoot 2013-05-18 21:15:20 EDT
Created attachment 749917 [details]
File: proc_pid_status
Comment 10 Robert Lightfoot 2013-05-18 21:15:22 EDT
Created attachment 749918 [details]
File: var_log_messages
Comment 11 Fedora Update System 2013-05-19 08:05:54 EDT
xscreensaver-5.21-6.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/xscreensaver-5.21-6.fc19
Comment 12 Fedora Update System 2013-05-19 08:06:50 EDT
xscreensaver-5.21-6.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/xscreensaver-5.21-6.fc18
Comment 13 Fedora Update System 2013-05-19 08:07:18 EDT
xscreensaver-5.21-6.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/xscreensaver-5.21-6.fc17
Comment 14 Mamoru TASAKA 2013-05-19 08:15:38 EDT
Thank you for report. The coming -4 should fix this issue.
Comment 15 Fedora Update System 2013-05-19 14:20:06 EDT
Package xscreensaver-5.21-6.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing xscreensaver-5.21-6.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-8624/xscreensaver-5.21-6.fc19
then log in and leave karma (feedback).
Comment 16 Fedora Update System 2013-05-25 23:41:14 EDT
xscreensaver-5.21-6.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2013-05-29 22:52:51 EDT
xscreensaver-5.21-6.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2013-05-29 23:09:47 EDT
xscreensaver-5.21-6.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.